MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001859VCMIGUI - Adventure Mappublic2014-07-25 04:052016-11-11 08:22
ReporterWarmonger 
Assigned Tobeegee 
PriorityhighSeveritycrashReproducibilityrandom
StatusclosedResolutionfixed 
PlatformPCOSWindows 7OS VersionSP1
Product Version0.96 
Target Version0.97Fixed in Version0.98 
Summary0001859: Crash when rendering "unknown pattern" in undergroud
DescriptionThis can happen in RMG underground level. Quite often "unknown pattern" is created and game crashes when we try to view it on screen. Sometimes game may crash instantly if our starting area is near incorrect pattern.

I don't know how to generate correct patterns randomly or what these patterns are, so it would be easier just to avoid crash at rendering.
Steps To ReproduceGenerate some maps with underground and view it with vcmieagles until you find it.
Additional InformationExample log:

05:55:20 WARN global [e00] - No pattern detected at pos '97 6 1'.
05:55:21 WARN global [e00] - No pattern detected at pos '123 17 1'.
TagsNo tags attached.
Attached Files

- Relationships
related to 0001870resolvedSXX Sometimes creatures can spawn on unreachable area 

-  Notes
(0005664)
beegee (developer)
2015-03-28 15:48

rev e9b7044c9b50b3283439bd1993354e7dc81b3e33

- Issue History
Date Modified Username Field Change
2014-07-25 04:05 Warmonger New Issue
2014-08-14 10:03 Warmonger Relationship added related to 0001870
2015-03-23 06:49 SXX Assigned To => beegee
2015-03-23 06:49 SXX Status new => assigned
2015-03-28 15:48 beegee Note Added: 0005664
2015-03-28 15:48 beegee Status assigned => resolved
2015-03-28 15:48 beegee Fixed in Version => 0.98
2015-03-28 15:48 beegee Resolution open => fixed
2016-11-11 08:22 SXX Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean